aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/user-data.sh.j2
diff options
context:
space:
mode:
Diffstat (limited to 'mcp/scripts/user-data.sh.j2')
-rw-r--r--mcp/scripts/user-data.sh.j220
1 files changed, 20 insertions, 0 deletions
diff --git a/mcp/scripts/user-data.sh.j2 b/mcp/scripts/user-data.sh.j2
new file mode 100644
index 000000000..8b80e32d0
--- /dev/null
+++ b/mcp/scripts/user-data.sh.j2
@@ -0,0 +1,20 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2018 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+{%- import 'net_map.j2' as nm with context %}
+rm -f /etc/salt/minion_id /etc/salt/pki/minion/minion_master.pub
+echo "id: $(hostname).{{ conf.cluster.domain }}" > /etc/salt/minion
+echo "master: {{ nm.net_admin | ipnet_hostaddr(nm.start_ip[nm.net_admin] + nm.net_admin_hosts.index('opnfv_infra_config_pxe_admin_address') +1) }}" >> /etc/salt/minion
+ldconfig
+{%- if 'ubuntu1804' in conf.MCP_OS %}
+systemctl unmask networking.service || true
+systemctl enable networking.service || true
+systemctl start networking.service || true
+{%- endif %}
+systemctl enable salt-minion.service
+systemctl restart salt-minion.service